<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * Crawl_history model class
 */

class Crawl_history_model extends MY_Model
{

    /**
     * 테이블명
     */
    public $_table = 'crawl_history';

    /**
     * 사용되는 테이블의 프라이머리키
     */
    public $primary_key = 'history_id'; // 사용되는 테이블의 프라이머리키

    function __construct()
    {
        parent::__construct();
    }


    public function get_admin_list($limit = '', $offset = '', $where = '', $like = '', $findex = '', $forder = '', $sfield = '', $skeyword = '', $sop = 'OR')
    {
		$join[] = array('table' => 'crawl_list', 'on' => 'crawl_history.crawl_id = crawl_list.crawl_id', 'type' => 'inner');
        $result = $this->_get_list_common('', $join, $limit, $offset, $where, $like, $findex, $forder, $sfield, $skeyword, $sop);
		return $result;
    }
}